aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPetri Savolainen <petri.savolainen@linaro.org>2018-10-12 15:56:14 +0300
committerMaxim Uvarov <maxim.uvarov@linaro.org>2018-10-15 16:59:32 +0300
commit99a96552ddc57fa93af1eb041b71c55e0927fa75 (patch)
treefc08a3676886cd502971aa9f0ff95451b508f712
parent664cbd820806256b9f9d44dd879b5fa85c70d40c (diff)
test: scheduling: fix script to exit with failure status
It seems that some shells did not notice failure status. Simplified the script to exit on the first failure. Signed-off-by: Petri Savolainen <petri.savolainen@linaro.org> Reviewed-by: Bill Fischofer <bill.fischofer@linaro.org> Signed-off-by: Maxim Uvarov <maxim.uvarov@linaro.org>
-rwxr-xr-xtest/performance/odp_scheduling_run.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/test/performance/odp_scheduling_run.sh b/test/performance/odp_scheduling_run.sh
index ae3d1c8f0..577922767 100755
--- a/test/performance/odp_scheduling_run.sh
+++ b/test/performance/odp_scheduling_run.sh
@@ -17,7 +17,12 @@ run()
echo odp_scheduling_run starts requesting $1 worker threads
echo ===============================================
- $TEST_DIR/odp_scheduling${EXEEXT} -c $1 || ret=1
+ $TEST_DIR/odp_scheduling${EXEEXT} -c $1
+
+ if [ $? -ne 0 ]; then
+ echo odp_scheduling FAILED
+ exit $?
+ fi
}
run 1
@@ -26,4 +31,4 @@ run 8
run 11
run $ALL
-exit $ret
+exit 0